| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros
OgreResourceGroupManager.h File Reference
`#include "OgrePrerequisites.h"`
`#include "OgreSingleton.h"`
`#include "OgreDataStream.h"`
`#include "OgreArchive.h"`
`#include "OgreIteratorWrappers.h"`
`#include "OgreCommon.h"`
`#include "Threading/OgreThreadHeaders.h"`
`#include <ctime>`
`#include "OgreHeaderPrefix.h"`
`#include "OgreHeaderSuffix.h"`

## Classes
class | Ogre::ResourceGroupListener
| This class defines an interface which is called back during resource group loading to indicate the progress of the load. More...
class | Ogre::ResourceGroupManager
| This singleton class manages the list of resource groups, and notifying the various resource managers of their obligations to load / unload resources in a group. More...
struct | Ogre::ResourceGroupManager::ResourceDeclaration
| Nested struct defining a resource declaration. More...
struct | Ogre::ResourceGroupManager::ResourceLocation
| Resource location entry. More...
class | Ogre::ResourceLoadingListener
| More...

## Namespaces
| Ogre

## Macros
#define | OGRE_RESOURCE_GROUP_INIT = ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME

## Macro Definition Documentation

## ◆ OGRE_RESOURCE_GROUP_INIT

#define OGRE_RESOURCE_GROUP_INIT = ResourceGroupManager::AUTODETECT_RESOURCE_GROUP_NAME